/*
 * Copyright  2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 *  
 */

package com.sunlabs.archsim.fleet.ships.testing;

import com.sunlabs.archsim.base.simulation.Command;
import com.sunlabs.archsim.fleet.common.Data;

/**
 * Specification of a step to be performed by a ScriptedFunction.
 * A step has two components: data, and an array of command.
 * The data is the data that is to be passed on as the result of the function.
 * The command allows the function to perform additional operations such as
 * disabling or enabling trigger commands
 * @author ib27688
 *
 */

public class FunctionStep {

	// data to be passed out
	public Data data;
	// if not null, execute a command?
	// this can be used as means of enabling or disabling other actions
	public Command[] commands;
	
	public FunctionStep(Data d, Command[] cl) {
		data= d;
		commands= cl;
	} // constructor
	
	// a shortcut when no disabling and no command are needed
	public FunctionStep(Data d) {
		data= d;
		commands= null;
	} // constructor
	
		
} // FunctionScript
